[B022] 临床基本信息

get
https://connect.zhihuiya3.xtdz.top/synapse/clinical-trial/detail
在体验中心中试用

通过临床试验id或者登记号获取临床基本信息

clinical_trial_id 和 register_number 两个参数必须传一个

请求参数

此 API 接口支持的参数列表

名称类型示例描述
clinical_trial_id
string202425a889e52ae802432a8295220e53
临床试验id,通过临床试验检索接口获取
register_number
stringNCT06498986
登记号

响应结构

API 响应数据的结构说明

字段名类型示例描述
data
object-
响应数据
phase
object{ "display_name": [ { "lang": "EN", "name": "Phase 2" }, { "lang": "CN", "name": "临床2期" } ], "normalized_id": "7b79728539354f189772a4eab9cc9fff" }
实验分期
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
字典名称
lang
stringEN
语言
name
stringRanibizumab (Genentech)
药物、靶点、机构、适应症、国家/地区、字典、作用机制等 名称
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
字典ID
brief_title
stringA Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer
实验标题
data_source
stringCTGOV
登记机构,枚举值: WHO,CTGOV,CTR
official_title
stringA Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer
官网标题
data_source_url
stringhttps://clinicaltrials.gov/study/NCT02107183
数据来源链接
register_number
stringNCT06498986
登记号
clinical_trial_id
string202425a889e52ae802432a8295220e53
临床试验ID
recruitment_status
stringNot yet recruiting
招募状态
status
必填
booleanfalse
状态
error_msg
stringThe request parameter format is incorrect!
错误信息
error_code
必填
integer0
错误代码

成功响应示例

成功调用 API 的响应示例

JSON
{
  "data": {
    "phase": {
      "display_name": [
        {
          "lang": "EN",
          "name": "Ranibizumab (Genentech)"
        }
      ],
      "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
    },
    "brief_title": "A Study of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
    "data_source": "CTGOV",
    "official_title": "A Phase II Clinical Study to Evaluate the Efficacy and Safety of BL-B01D1 in Combination With Osimertinib Mesylate Tablets in Patients With Locally Advanced or Metastatic Non-small Cell Lung Cancer",
    "data_source_url": "https://clinicaltrials.gov/study/NCT02107183",
    "register_number": "NCT06498986",
    "clinical_trial_id": "202425a889e52ae802432a8295220e53",
    "recruitment_status": "Not yet recruiting"
  },
  "status": true,
  "error_code": 0
}

错误码

此接口可能返回的错误码列表

业务错误码

错误码描述
68300004请求参数异常!
68300005查询Api失败!
68300006解析基本存取错误!
68300007存在错误的请求!
68300008服务中断异常,请稍后再试!
68300010文件不符合上传规范!

平台错误码

错误码描述
67200000API整体限流错误!
67200001API整体限流错误!
67200002当前调用速率过快,超过当前配置限制QPS!
67200003申请token的key和secret传参不正确或者客户端已被禁用!
67200004请求的接口无权限请联系我们的支持人员!
67200005账户余额/调用次数不足!
67200006客户端超过开通有效期!
67200007当前调用超过当天配置使用额度!
67200008请检查query参数中必填的apikey是否传输!
67200009apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token!
67200012请求不合法!
67200100当前服务器状态正忙,请求响应超时!
67200101当前请求的Api不存在请检查请求Path!

HTTP 状态码

状态码描述
0请求成功
401Unauthorized
403Forbidden
404Not Found

性能指标

此接口的预期性能特征

正常响应时间

5000 ms

最大响应时间

10000 ms